<?php

use Illuminate\Foundation\Application;
use Illuminate\Auth\Access\AuthorizationException;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__ . '/../routes/web.php',
        commands: __DIR__ . '/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware): void {
        //
    })
    ->withExceptions(function (Exceptions $exceptions): void {
        // Gestion des exceptions d'autorisation
        $exceptions->render(function (AuthorizationException $e, $request) {
            return redirect()
                ->back()
                ->with('error', "Vous n'avez pas l'autorisation d'effectuer cette action. Contactez l'administrateur pour plus d'informations.");
        });
    })->create();
